<!--
		SIF Infrastructure Specification 3.7

		(January 21, 2025)
		
		Infrastructure Version: 3.7
		
		license: 
		    name: Apache  2.0
        identifier: Apache-2.0
        url: 'https://home.a4l.org/legal/'
	-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns="http://www.sifassociation.org/infrastructure/3.7" targetNamespace="http://www.sifassociation.org/infrastructure/3.7" elementFormDefault="qualified" version="3.7">
  <xs:complexType name="codeSetType">
    <xs:sequence>
      <xs:element name="zone" type="xs:token" />
      <xs:element name="version" type="versionType" />
      <xs:element name="timestamp" type="xs:dateTime" />
      <xs:element name="source" minOccurs="0" type="uriType" />
      <xs:element name="codeItems" minOccurs="0" type="codeItemsType" />
    </xs:sequence>
    <xs:attribute name="id" use="optional">
      <xs:simpleType>
        <xs:restriction base="xs:token">
          <xs:minLength value="0" xmlns:xs="http://www.w3.org/2001/XMLSchema" />
          <xs:maxLength value="128" xmlns:xs="http://www.w3.org/2001/XMLSchema" />
        </xs:restriction>
      </xs:simpleType>
    </xs:attribute>
  </xs:complexType>

  <xs:element name="codeSet" type="codeSetType">
    <xs:key name="codeSetKey1">
      <xs:selector xpath="." />
      <xs:field xpath="@id" />
    </xs:key>
  </xs:element>

  <xs:complexType name="codeSetCollectionType">
    <xs:sequence>
      <xs:element name="codeSet" type="codeSetType" minOccurs="0" maxOccurs="unbounded" />
    </xs:sequence>
  </xs:complexType>
  <xs:element name="codeSets" type="codeSetCollectionType" />

</xs:schema>